Page MenuHomePhabricator

Undeploy the Gather extension from Wikimedia wikis
Closed, ResolvedPublic

Description

As T127509: Uninstall the Gather extension from en.wikipedia.org was fixed, Gather is now abandoned and practically unused. To reduce maintenance costs and attack surface, as well as for transparency, it should be undeployed as soon as possible. It's pretty easy:

'wmgUseGather' => array(
	'default' => false,
	'testwiki' => true,
	'test2wiki' => true,
	'enwikivoyage' => true, // T97488
	'hewiki' => true, // T97488
),

Based on

there are only a dozen users in 2016.

Also, per T97488: Enable Gather on English Wikivoyage and Hebrew Wikipedia, the installation was not asked by those wikis. So it's enough to notify the Gather users.

Event Timeline

Nemo_bis created this task.Mar 2 2016, 9:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2016, 9:05 AM
Nemo_bis updated the task description. (Show Details)Mar 2 2016, 9:09 AM
Peachey88 renamed this task from Undeploy the Gather extension to Undeploy the Gather extension from all projects.Mar 2 2016, 10:47 AM
Peachey88 added a subscriber: Peachey88.

the installation was not asked by those wikis. So it's enough to notify the Gather users.

We should still notify the communities as a whole and allow them to comment as appropriate.

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptMar 2 2016, 10:56 AM
hashar added a subscriber: hashar.Mar 2 2016, 10:58 AM

Once done, one might want to change the status on https://www.mediawiki.org/wiki/Extension:Gather to abandonned/archived or whatever.

Will probably want to unconfigure the extension from CI and mark it read only in Gerrit.

Legoktm added a subscriber: Legoktm.Mar 3 2016, 1:52 AM
greg added a subscriber: greg.Mar 7 2016, 4:26 PM

@dr0ptp4kt, I would be happy to add a note to Tech News informing users of the pending shutdown of the extension, if you like.

@ori, thanks for the offer. Best if @JKatzWMF speaks to current/projected state of conversations on this.

@ori @dr0ptp4kt thanks. I think we need to schedule this (can we squeeze it in this sprint, @dr0ptp4kt? and then I would prefer if someone technical from the reading team could add it to tech news. I can update the extension page

dr0ptp4kt added a subscriber: Tgr.Mar 16 2016, 4:07 PM

This current sprint and the list of prioritized bugs is full. Sprint 69 seems the earliest this could be done. I'll update the task.

@Tgr is there a solution for supporting users obtaining an archive of their public lists and (access controlled) private lists?

Tgr added a comment.Mar 17 2016, 12:56 PM

@Tgr is there a solution for supporting users obtaining an archive of their public lists and (access controlled) private lists?

Not yet. It's planned in T128056.

I just filed T130470: Conduct a Gather extension postmortem, which may be of interest to people following this task.

MZMcBride renamed this task from Undeploy the Gather extension from all projects to Undeploy the Gather extension from Wikimedia wikis.Mar 19 2016, 7:41 PM

AFAICS, there is no need to wait a single minute more.

@Nemo_bis @Tgr and I are working on exporting the wikivoyage and hebrew collections first. Please bear with us.

@Nemo_bis this is no longer blocked from our end (as far as I know). @Jhernandez you mentioned a student was working on some Gather code--will this interfere with their work?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 6:27 PM

@JKatzWMF Nope, no ongoing work on Gather at all.

Change 289114 had a related patch set uploaded (by Legoktm):
Undeploy Gather extension

https://gerrit.wikimedia.org/r/289114

@Nemo_bis this is no longer blocked from our end (as far as I know).

Glad to hear that. I've submitted a patch to undeploy the extension, and will SWAT it out this week.

I've updated mw.org and set it to unmaintained

Change 289114 merged by jenkins-bot:
Undeploy Gather extension

https://gerrit.wikimedia.org/r/289114

Mentioned in SAL [2016-05-18T00:01:14Z] <dereckson@tin> Synchronized wmf-config/: Undeploy Gather extension (T128568) (duration: 00m 33s)

Change 289342 had a related patch set uploaded (by Legoktm):
make-wmf-branch: Stop branching Gather (undeployed)

https://gerrit.wikimedia.org/r/289342

Change 289342 merged by jenkins-bot:
make-wmf-branch: Stop branching Gather (undeployed)

https://gerrit.wikimedia.org/r/289342

Legoktm closed this task as Resolved.May 18 2016, 12:16 AM
Legoktm claimed this task.

All done here I think.